Skip to content
View as Markdown

GET Get Contact​

GET
/subscribers/{id}

Retrieve a single contact by ID or email. Supports eager-loading related data like stats, custom values, custom field definitions, and commerce stats via the with[] parameter.

Authorizations​

ApplicationPasswords

WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password

Type
API Key (header: Authorization)

Parameters​

Path Parameters

id*

The contact ID.

Type
integer
Required

Query Parameters

get_by_email

If set, looks up the contact by email address instead of the path id.

Type
string
Format
"email"
with[]

Relationships and extra data to include. Supported values: stats, subscriber.custom_values, custom_fields, commerce_stat.

Type
array

Responses​

Contact details.

application/json
JSON
{
"subscriber": {
"id": 0,
"user_id": "string",
"hash": "string",
"contact_owner": "string",
"company_id": 0,
"prefix": "string",
"first_name": "string",
"last_name": "string",
"full_name": "string",
"email": "string",
"status": "string",
"contact_type": "string",
"address_line_1": "string",
"address_line_2": "string",
"postal_code": "string",
"city": "string",
"state": "string",
"country": "string",
"ip": "string",
"latitude": 0,
"longitude": 0,
"phone": "string",
"timezone": "string",
"date_of_birth": "string",
"source": "string",
"life_time_value": 0,
"last_activity": "string",
"total_points": 0,
"created_at": "string",
"updated_at": "string",
"photo": "string",
"tags": [
{
"id": 0,
"title": "string",
"slug": "string"
}
],
"lists": [
{
"id": 0,
"title": "string",
"slug": "string"
}
],
"stats": {
"emails": 0,
"opens": 0,
"clicks": 0,
"total_points": 0,
"last_activity": "string"
},
"user_edit_url": "string",
"user_roles": [
"string"
],
"custom_values": {
"additionalProperties": "string"
},
"commerce_stat": {
},
"unsubscribe_reason": "string",
"unsubscribe_date": "string"
},
"custom_fields": [
{
"label": "string",
"slug": "string",
"type": "string"
}
]
}

Playground​

Authorization
Variables
Key
Value

Samples​

Powered by VitePress OpenAPI